Subject: Summary: Rainbow spectrum in InsightII

From: [email-masked] (Grzegorz Bakalarski)
Date: Sat, 8 Jun 96 16:52:56 +0200

Daear Netter

Few days ago I asked a question about rainbow spectrum in InsightII (MSI/[BIOSYM]).
Below there is summary of responses I've got. Following these responses I've 
created macros for making such spectrums. First one - SIMPLE_RAINBOW  can be used
under InsightII ver3.00. It is from -0.1 (BLUE) to 0.1 (RED) divided into four subranges.
Second one: FULL_RAINBOW can be used under InsightII ver 95.0.3. It is from -0.1 (VIOLET)
 to (0.1) DARK_RED  divided into ten subranges. In both cases underrange values are colored
using minimal color (blue or violet repectively) and overrange values are fully 
transparent - it is useful to color potential surfaces with molecules inside a map.
It is worth to note that one can modify subranges (number of, values, color) and this way
create his own spectrum. It can be useful to show some particular properties of 
electrostatic potential. 
Thanks all who responded and see you again, CCL.
Yours sincerely - 
			Grzegorz Bakalarski

P.S. Does anybody  know why insightII v.3.00 does NOT read spectrums created with 
insightII v.3.00 ?

*******************************************************************************
                         MACROS
******************************************************************************

*********************MACRO: simple_rainbow ; insightII v.3.00 **************
Create Spectrum simple_rainbow Continuous -0.1 blue 0.1 red blue 255,0,0,0
Subrange Spectrum New_Subrange simple_rainbow Continuous -0.1 blue -0.03000001 0,255,255,255
Subrange Spectrum New_Subrange simple_rainbow Continuous -0.03 0,255,255,255 -0.00000001 green
Subrange Spectrum New_Subrange simple_rainbow Continuous 0.00000001 green 0.03 yellow
Subrange Spectrum New_Subrange simple_rainbow Continuous 0.03000001  yellow 0.1 red
Orient Spectrum simple_rainbow North Right/Under

*********************MACRO: full_rainbow ; insightII v. 95.0.3 ***************
#m:Edit Spectrum
new_spectrum_dlg spectrum FULL_RAINBOW -0.100000 0.100000 127,0,255,255 127,0,0,255 10
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 1 -d_discrete 0 -d_split -d_delete -0.100000 -0.080000 127,0,255,255 blue
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 2 -d_discrete 0 -d_split -d_delete -0.080000 -0.060000 blue 0,127,255,255
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 3 -d_discrete 0 -d_split -d_delete -0.060000 -0.040000 0,127,255,255 cyan
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 4 -d_discrete 0 -d_split -d_delete -0.040000 -0.020000 cyan 0,255,127,255
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 5 -d_discrete 0 -d_split -d_delete -0.020000 0.000000 0,255,127,255 green
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 6 -d_discrete 0 -d_split -d_delete 0.000000 0.020000 green 127,255,0,255
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 7 -d_discrete 0 -d_split -d_delete 0.020000 0.040000 127,255,0,255 yellow
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 6 -d_discrete 0 -d_split -d_delete 0.000000 0.020000 green 127,255,0,255
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 8 -d_discrete 0 -d_split -d_delete 0.040000 0.060000 yellow orange
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 9 -d_discrete 0 -d_split -d_delete 0.060000 0.080000 orange red
edit_spectrum_dlg spectrum FULL_RAINBOW left_e_d_pos 127,0,255,255 0,0,0,0 10 -d_discrete 0 -d_split -d_delete 0.080000 0.100000 red 127,0,0,255
edit_spectrum_dlg spectrum FULL_RAINBOW above_e_d_pos 127,0,255,255 0,0,0,0 1 -d_discrete 0 -d_split -d_delete -0.100000 -0.080000 127,0,255,255 blue
************************END of MACROS **************************************************

                           SUMMARY
 
************************ Original Querry ********************************** 
 Dear NeT,
 
 I'd like to ask if anyone knows how could I create rainbow color spectrum in InsightII program  
 
(from MSI (Biosym)).  I'd like to color my slice trough electrostatic potential using rainbow
 
 spectrum ( violet, bue , green, yellow, orange, red). Thanks for any suggestions.
 
 Best regards.
 
 		Grzegorz Bakalarski
		Warsaw University
		Poland

**************************** Responses **************************************
 
#################################################
From: "Adrian Roitberg" <[email-masked]>
Combinations of these should do...

Create Spectrum zfin_hc_sp Continuous -0.301 blue 0.283 red blue red
Subrange Spectrum New_Subrange zfin_hc_sp Continuous -0.301 blue -0.009 green
Subrange Spectrum New_Subrange zfin_hc_sp Continuous -0.008 green 0.283 red
Orient Spectrum zfin_hc_sp North Right/Under

Best regards

adrian

-- 
                            Adrian E. Roitberg
========================================================================
    National Institute for   | Phone: (301) 975-4469. Fax (301) 330-3447
   Standards and Technology  | E-mail : [email-masked]
Bioprocess Engineering Group |
    Building 222, A-353      | URL : http://www.chem.nwu.edu/~adrian
  Gaithersburg, MD 20899     |
========================================================================
############################################################################
From: [email-masked] (Abhijit Chatterjee)

In INSIGHTII of biosym there is a colour menu
in contour, you can change the colour of the potential
map using that.

regards

Abhijit

#############################################################################
From: [email-masked] (katagiri)

Dear Dr. Grzegorz,

As for the rainbow color, if you have tbl file, I know how to creat.
Please send me your tbl file.

Sincerly Yours,

-Masa Katagiri

-----------------------------------------------------------------------
Masa Katagiri
Queen's University of Belfast                                          
Atomistic Simulation Group                   http://titus.phy.qub.ac.uk
School of Mathematics and Physics        Tel:+44 1232 245133 ext.3528
Belfast BT7 1NN                          Fax:+44 1232 241958
Northern Ireland                    E-mail:[email-masked]
-----------------------------------------------------------------------

##############################################################################
From: "Ryan Koehler" <[email-masked]>

                      Subject:                              Time:  9:57 AM
  OFFICE MEMO         rainbow in insightII                  Date:  5/30/96

By using the 'spectrum' command you can create / modify color spectrums
that may be used to map to grid values (i.e. what you wish to slice) producing
a rainbow color effect......
Of course (given that its insightII) this is not as straight forward as it
might be:

The 5.3 version only allows you to create spectrums as linear transverses of 
RGB space.  Since no such RGB transverse lets you sample all the hues of the 
rainbow, you cannot get a rainbow in a single step.  Instead, you have to 
create an initial (non-rainbow) spectrum then sequentially divide it into
smaller
color ranges using the 'subrange' command under spectrum.

For example, if you want to map the rainbow (violet, blue, green, yellow,
orange,
red -V,B,G,Y,O,R) to the value range -2 to 3, you would perform the following
(not sure of exact syntex, but if you play with the interface you should be
able
to figure it out):

Make an initial spectrum from -2 (V) to 3 (R).
Make a subrange from -2 (V) to -1 (B)
Make a subrange from -1 (B) to 0 (G)
Make a subrange from 0 (G) to 1 (Y)
Make a subrange from 1 (Y) to 2 (O)
Make a subrange from 2 (O) to 2.99 (R) -the 2.99 is important for some
obscure reason, as if you try 3, insight won't allow you to make the final
subrange.

Once you have this, save the spectrum.  Also save the log file so that you
can do this again (with different colors or values) without doing all of this
>from the menu.

-Hope this helps,
    Ryan

******************** End of Responses **********************************************